beng021228
Mechanical
- Apr 10, 2012
- 17
I'm using NX6, but a solution in NX7.5 or nx8 is just as good. Is there a way to "look at" modeling sketch reference dimensions programatically? I can "see" the driving dimensions just fine, but I need to analyze the dimensions I set as reference as well. I was thinking that UFsession might get me there, but so far has gotten me nowhere. Here is the code I have in that vein:
Do
ufs.Obj.CycleObjsInPart(parttag, UFConstants.UF_dimension_type, objtag)
If objtag <> NXOpen.Tag.Null Then
ReDim Preserve thetags(j)
thetags(j) = objtag
j = j + 1
End If
Loop While objtag <> NXOpen.Tag.Null
Thanks for any tips or suggestions you have.
Do
ufs.Obj.CycleObjsInPart(parttag, UFConstants.UF_dimension_type, objtag)
If objtag <> NXOpen.Tag.Null Then
ReDim Preserve thetags(j)
thetags(j) = objtag
j = j + 1
End If
Loop While objtag <> NXOpen.Tag.Null
Thanks for any tips or suggestions you have.